/*****************************************************************************
 *
 * FILE:	basilisk.c
 * DESCRIPTION:	simple HTML authoring library
 * DATE:	Mon, Apr  1 2002
 * AUTHOR:	Kouichi ABE (WALL) / 
 * E-MAIL:	kouichi@MysticWALL.COM
 * URL:		http://www.MysticWALL.COM/cover.html
 * COPYRIGHT:	(C) 2002 졿Kouichi ABE (WALL), All rights reserved.
 * $Id: basilisk.c,v 1.1 2002/04/01 17:00:12 kouichi Exp $
 *
 *****************************************************************************/

#if	HAVE_CONFIG_H
#include "config.h"
#endif	/* HAVE_CONFIG_H */

#include <stdio.h>
#include "basilisk.h"
#include "functions.h"


/*****************************************************************************
 *
 *	definition of macros and structures
 *
 *****************************************************************************/


/*****************************************************************************
 *
 *	declaration of local functions
 *
 *****************************************************************************/


/*****************************************************************************
 *
 *	declaration of local variables
 *
 *****************************************************************************/


/*****************************************************************************
 *
 *	definition of functions
 *
 *****************************************************************************/

/*
 * FUNCTION NAME:	newHTML
 * DESCRIPTION:		create new HTML object
 * ARGUMENTS:		html doctype
 * RETURN VALUE:	Successful: HTML object, otherwise: NULL
 */
HTML *
newHTML(doctype)
	html_t	doctype;
{
  static bool_t	once = FALSE;

  if (once) {
    return NULL;
  }
  else {
    once = TRUE;
  }

  switch (doctype) {
    case HTML2:
      return newHTML20();
    case HTML3:
      return newHTML32();
    case HTML4:
    default:
      return NULL;
  }

  return NULL;	/* NOT REACHED */
}

